## org.eclipse.wst.ws.service.policy.ui
Class ServicePolicyPlatformUI

    java.lang.Object
      org.eclipse.wst.ws.service.policy.ui.ServicePolicyPlatformUI

    public class ServicePolicyPlatformUI

extends java.lang.Object

This class is used to get Service policy UI information.

Method Summary
`java.util.List<IPolicyOperation>` `getAllOperations()` Returns all the operations for all known policies.
`static ServicePolicyPlatformUI` `getInstance()` Returns an instance of this service policy platform UI object.
`IPolicyOperation` `getOperation(IServicePolicy policy, java.lang.String id)` Returns an operation that is associated with a particular service policy and has the specified id.
`java.util.List<IPolicyOperation>` `getOperations(IServicePolicy policy, boolean isWorkspace)` Returns the list of operations for this policy.
`java.util.List<java.util.List<IPolicyOperation>>` `getOperationsList(java.util.List<IServicePolicy> policies, boolean isWorkspace)` Returns a list of list policy operations which are associated with the specified service policies.
`java.util.List<IQuickFixActionInfo>` `getQuickFixes(org.eclipse.core.runtime.IStatus status)` Returns a list of quick fix info for the specified status object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ServicePolicyPlatformUI getInstance()

  Returns an instance of this service policy platform UI object.

  Returns:
    returns an instance of this service policy platform UI object.

### getAllOperations

    public java.util.List<IPolicyOperation> getAllOperations()

  Returns all the operations for all known policies.

  Returns:
    returns all the operations for all known policies.

### getOperation

    public IPolicyOperation getOperation(IServicePolicy policy,
                                         java.lang.String id)

  Returns an operation that is associated with a particular service policy and has the specified id.

  Parameters:
    `policy` - the service policy
    `id` - the operation id.
  Returns:
    returns the operation being searched for or null is not found.

### getOperations

    public java.util.List<IPolicyOperation> getOperations(IServicePolicy policy,
                                                          boolean isWorkspace)

  Returns the list of operations for this policy.

  Parameters:
    `policy` - the policy
    `isWorkspace` - true if this is a preference page context
  Returns:
    returns the list of operations for this policy.

### getOperationsList

    public java.util.List<java.util.List<IPolicyOperation>> getOperationsList(java.util.List<IServicePolicy> policies,
                                                                              boolean isWorkspace)

  Returns a list of list policy operations which are associated with the specified service policies.

  Parameters:
    `policies` -
    `isWorkspace` -
  Returns:
    returns a list that contains a list of operations. Each list as the top level contains list of IPolicyOperations that reference the same base operation. However, they will each have different associated policies.

### getQuickFixes

    public java.util.List<IQuickFixActionInfo> getQuickFixes(org.eclipse.core.runtime.IStatus status)

  Returns a list of quick fix info for the specified status object.

  Parameters:
    `status` -
  Returns:
    returns a list of quick fixes for this status object. If no quick fixes are available an empty list will be returned.